
CDI - Climate Data Interface
----------------------------

     This package contains the source code for the CDI library from
     the Max-Planck-Institute for Meteorology.
     CDI is a C and Fortran Interface to access Climate model Data.
     Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.

     CDI is licensed under the GNU General Public License, version 2.
     Read the file COPYING in the source distribution for details.

Documentation:

     CDI C Manual:       ./doc/cdi_cman.pdf
     CDI Fortran Manual: ./doc/cdi_fman.pdf

Installation:

     1. Run ./configure, with some options if you wish. The standard
        options are documented in the INSTALL file. The configuration
        script has some more options; type 'configure -h' to see them.
        The most interesting ones are the usual
        --prefix=<installation directory> and
        --with-netcdf=<netCDF root directory> to enable netCDF support.

     2. Do "make" to compile the library.

     3. (Optional) Do "make install", possibly as root if the destination
        permissions require that. This installs CDI in the directory
        specified during configuration. The default prefix is /usr/local.

Porting:

     This library was designed for maximum portability. It is written entirely
     in ANSI C99, and will compile on most UNIX platforms.

     The FORTRAN 77 interface is using the cfortran.h macros from
     http://www-zeus.desy.de/~burow/cfortran/
     
Contact:

     Send questions, comments and bug reports to <http://code.zmaw.de/projects/cdi>

